import request from '@/utils/request';
// 初始化list
export function getList(query) {
    return request({
        url: '/basedata/bdconfig/deviceconvert/list',
        method: 'get',
        params: query
    })
}
// 主系统
export function mainsystemList(query) {
    return request({
        url: '/basedata/bdconfig/mainsystem/list',
        method: 'get',
        params: { pageNum: 1, pageSize: 10000 }
    })
}
// 设备
export function getProDeviceTreeSelect(query) {
    return request({
        url: '/basedata/prodevmnt/device/getProDeviceTreeSelect',
        method: 'get',
        // params: { pageNum: 1, pageSize: 10000 }
    })
}
// 新增
export function postAdd(query) {
    return request({
        url: '/basedata/bdconfig/deviceconvert',
        method: 'post',
        data: query
    })
}
// 修改
export function edit(query) {
    return request({
        url: '/basedata/bdconfig/deviceconvert/edit',
        method: 'post',
        data: query
    })
}
// 编辑查询
export function getItem(query) {
  return request({
    url: `/basedata/bdconfig/deviceconvert/${query}`,
    method: 'get',
  })
}
// 删除
export function postRemove(query) {
  return request({
    url: `/basedata/bdconfig/deviceconvert/remove/${query}`,
    method: 'post',
    // params: query
  })
}